curl -X GET "https://api.whatabot.app/api/v1/sectors?page=0&size=10" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "sector-uuid",
"name": "Sales",
"workspaceId": "workspace-uuid",
"createdAt": "2025-01-15T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 10,
"first": true,
"last": true
}
Setores
Listar Setores
Liste todos os setores do espaço de trabalho.
GET
/
v1
/
sectors
curl -X GET "https://api.whatabot.app/api/v1/sectors?page=0&size=10" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "sector-uuid",
"name": "Sales",
"workspaceId": "workspace-uuid",
"createdAt": "2025-01-15T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 10,
"first": true,
"last": true
}
Liste todos os setores com paginação.
string
obrigatório
Sua chave de API (prefixada com
wh_).integer
padrão:"0"
Número da página (começa em 0).
integer
padrão:"10"
Quantidade de itens por página (1-100).
string
Filtrar por UUID do espaço de trabalho.
curl -X GET "https://api.whatabot.app/api/v1/sectors?page=0&size=10" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "sector-uuid",
"name": "Sales",
"workspaceId": "workspace-uuid",
"createdAt": "2025-01-15T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 10,
"first": true,
"last": true
}